:root {
  /*--PrimaryGemasColor: #fe0000;*/
  --PrimaryGemasColor2: #fe0000; 
  --PrimaryGemasColor: #6d6d6d;
  --SelectColor: #beebff;
  /*--SelectColor: #fe0000;*/
  --TextColor: #ffffff; /*white; */
  --TextColor2: #6d6d6d; 
  --TextColor3: #fe0000; 
  /*--GradientColor: linear-gradient(to top left, var(--PrimaryGemasColor) 40%, var(--PrimaryGemasColor2) 100%);*/
  /*--GradientColor: linear-gradient(to top left, #8a8585 40%, var(--PrimaryGemasColor2) 100%);*/
  /*--GradientColor: linear-gradient(to top left, var(--PrimaryGemasColor) 60%, var(--PrimaryGemasColor2) 100%);*/
 /* --GradientColor: linear-gradient(to top left, #d2cdcd 60%, var(--PrimaryGemasColor2) 100%);*/
  /*--GradientColor: linear-gradient(to top left, #dde2e6 20%, var(--PrimaryGemasColor2) 100%);*/
  --GradientColor: linear-gradient(to top left, var(--PrimaryGemasColor) 30%, var(--PrimaryGemasColor2) 100%);
}

/*.Icon_LightBulbPlus {
  width: 16px;
  height: 16px;
  background-image: url("../gfx/light_bulb__plus.png");
  background-repeat: no-repeat;
  margin: 0;
  padding: 0;
  cursor: pointer;
}
*//*.context-menu-icon-LightBulbPlus:before{content:url("../gfx/light_bulb_plus.png"); width: 16px; height: 16px;}*/

/*.Icon_LightBulbMinus {
  width: 16px;
  height: 16px;
  background-image: url("../gfx/light_bulb__minus.png");
  background-repeat: no-repeat;
  margin: 0;
  padding: 0;
  cursor: pointer;
}
*//*.context-menu-icon-LightBulbMinus:before{content:url("../gfx/light_bulb_minus.png"); width: 16px; height: 16px;}*/


/*.Icon_LightBulbPencil {
  width: 16px;
  height: 16px;
  background-image: url("../gfx/light_bulb__pencil.png");
  background-repeat: no-repeat;
  margin: 0;
  padding: 0;
  cursor: pointer;
}*/
/*.context-menu-icon-LightBulbPencil:before{content:url("../gfx/light_bulb_pencil.png"); width: 16px; height: 16px;}

.ui-button.defaultColButton {
    background-color: var(--SelectColor); /*#c6f6f1;*/
/*}*/

.ui-button.requiredColButton {
    background-color: #f18e7d;
}

.SelectButton {
  color: #2b94c4;
}  

/* ********************** */
/* Login form section begin */

* {
  box-sizing: border-box;
}

body {
  padding-top: 20%;
  margin: 0;
}

.login-logo,
.login-title,
.login-form,
.login-contact {
  width:80%;
  margin: 0 auto;
}

@supports (display: flex) {
  body {
    padding:0;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
  }
  
  .login-title, .login-logo, .login-form, .login-contact {
    width: 20%;
  }
}

@supports (display: grid) {
  body {
    display: grid;
    grid-template-columns: 100%;
    align-content: center;
    align-items: stretch;
  }

  @media (min-width: 44.001em) {
    body {
      grid-template-columns: repeat(2, minmax(150px, 35%));
    }

    .login-logo,
    h1,
    .login-title,
    .login-form,
    .login-contact {
      grid-column-end: span 7;
      width: 30%;
    }

    .login-form > div {
      display: grid;
      grid-template-columns: 7fr;
      align-items: center;
    }

    .login-form > div.login-actions {
      grid-template-columns: 7fr;
    }

    .login-form > div.checkbox {
      font-family: Arial;
      grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr 1fr ;
    }

    .login-contact {
      padding: 0 0 0 10px;
      width: auto;
    }
  }
}

.login-title
 {
  /*background-color: var(--PrimaryGemasColor);*/ /*#fe0000;*/ /*#ff675b;*/
  background: var(--GradientColor); /*linear-gradient(to top left, var(--PrimaryGemasColor) 40%, var(--PrimaryGemasColor2) 100%);*/
  border-top-right-radius: 5px;
  border-top-left-radius: 5px;
  padding: 10px;
  line-height: 1.4;
  font-size: 130%;
  font-family: Arial;
  color: var(--TextColor); /*#fff;*/
  display:flex;
  justify-content:center;
  border-right: 1px solid var(--PrimaryGemasColor); 
  border-left: 1px solid var(--PrimaryGemasColor); 
}

.login-form {
  border: 1px solid var(--PrimaryGemasColor);
  border-bottom-right-radius: 5px;
  border-bottom-left-radius: 5px;
  padding: 10px;
  margin-bottom: 10px;
  /*background: linear-gradient(to top left, #fbfaf7 10%, #e18787 100%);*/
  /*background: linear-gradient(to top left, #cecdc9 10%, #171717 100%);*/
  /*background: linear-gradient(to top left, #cecdc9 10%, #d5b1b1 100%);*/
  background: linear-gradient(to top left, #f9f8f5 10%, #aeabab 100%);
}

.login-form > div {
  padding: 10px 0;
}

.login-form button[type="submit"] {
  border: 1px solid var(--PrimaryGemasColor); 
  border-radius: 5px;
  color: var(--TextColor); /*#fff;*/
  /*background-color: var(--PrimaryGemasColor);*/
  /*linear-gradient(to bottom left, #fbf7f8 40%, var(--PrimaryGemasColor) 100%);*/
  background: var(--GradientColor);/*linear-gradient(to top left, var(--PrimaryGemasColor) 40%, var(--PrimaryGemasColor2) 100%);*/
  /*background: linear-gradient(to top left, #6d6d6d 10%, #fe0000 100%);*/
  /*background: linear-gradient(to top left, #5e5b5b 10%, #dddada 100%);*/
  font-size: 110%;
  height:160%;
}

.login-form input[type="email"],
.login-form input[type="password"] {
  border: 1px solid var(--PrimaryGemasColor);
  padding: 10px;
  margin-bottom: 5px;
  border-radius: 5px;
  font-size: 110%;
  width: calc(100% - 20px);
}

.login-form input::placeholder {
  opacity: .5;
  color: var(--TextColor2);
}

.ButtonLogin {
  margin-top: 6px;
  background: linear-gradient(to top left, #f9f8f5 10%, #aeabab 100%);
  filter: drop-shadow(4px 4px 2px);
  width: 100%;
  text-align: center;
}

.login-form label {
  color: var(--TextColor2);
}  

.login-logo > img {
  width: 95%;
  height: 72;
  object-fit: cover;
  object-position: bottom;
}

.login-form, .login-logo, .login-title, .login-button {
  min-width: 250px;
}

/* password vergessen */
.login-forgotpass
{
  margin-top: 10px; 
  text-align: center;
}

.login-forgotpass a 
{
  opacity: .5;
  color: var(--TextColor2);
  font: bold 12px/25px Arial, Helvetica;
  text-decoration: none;
}

.login-forgotpass a:hover
{
  color: var(--PrimaryGemasColor2);
}


/* Login form section end */
/* ********************** */

/* ******************  */
/* Main section begin */

.container {
    height: 100vh;
    display: grid;
    grid-template-areas: 
        "header-logo"
        "header"
        "content"
        "sidebar"
        "footer"
    ;
}

.container-mieter {
    height: 100vh;
    width: 100.3%;
    display: grid;
    grid-template-areas: 
        "header-mieter-col1"
        "header-mieter"
        "content-mieter-col1"
        "content-mieter-col2"
        "content-mieter-col3"
        "content-mieter"
        "footer-mieter"
    ;
}

/* container-mieter: 4 columns */
/*
.container-mieter {
    height: 100vh;
    width: 100.3%;
    display: grid;
    grid-template-areas: 
        "header-mieter"
        "header-mieter-col1"
        "content-mieter-col1"
        "content-mieter-col2"
        "content-mieter-col3"
        "content-mieter-col4"
        "content-mieter"
        "footer-mieter"
    ;
}
*/

@media screen and (min-width: 44.001em) { /* 704  759/360 */
    .container {
        grid-template-rows: 72px 1fr 35px;
        grid-template-columns: 25% 25% 25% 25%;
        grid-template-areas: 
            "header-logo header header header"
            "sidebar content content content"
            "footer footer footer footer"
        ;
    }
/*
    .container-mieter {
        grid-template-rows: 72px 1fr 0.5fr 20px;
        grid-template-columns: 95% 95% 95%;
        grid-template-areas: 
            "header-mieter-col1 header-mieter header-mieter"
            "content-mieter-col1 content-mieter-col2 content-mieter-col3"
            "content-mieter content-mieter content-mieter"
            "footer-mieter footer-mieter footer-mieter"
        ;
    }
*/    
}

/* 770 */
/*@media screen and (min-width: 960px) {  */
@media screen and (min-device-width: 960px), screen and (min-width: 960px) {
    .container-mieter {
        grid-template-rows: 72px 1fr 0.5fr 35px;
        grid-template-columns: 95% 95% 95%;
        grid-template-areas: 
            "header-mieter-col1 header-mieter header-mieter"
            "content-mieter-col1 content-mieter-col2 content-mieter-col3"
            "content-mieter content-mieter content-mieter"
            "footer-mieter footer-mieter footer-mieter"
        ;
    }
}

/* container-mieter: 4 columns */
/*
@media screen and (min-device-width: 960px), screen and (min-width: 960px) {
    .container-mieter {
        grid-template-rows: 72px 1fr 0.5fr 35px;
        grid-template-columns: 71.2% 71.2% 71.2% 71.2%;
        grid-template-areas: 
            "header-mieter-col1 header-mieter header-mieter header-mieter"
            "content-mieter-col1 content-mieter-col2 content-mieter-col3 content-mieter-col4"
            "content-mieter content-mieter content-mieter content-mieter"
            "footer-mieter footer-mieter footer-mieter footer-mieter"
        ;
    }
}
*/
header-logo {
    grid-area: header-logo;
}

header {
    grid-area: header;
}

main-content {
    grid-area: content;
}

aside {
    grid-area: sidebar;
}

footer {
    /*background-color: var(--PrimaryGemasColor);*/
    background: var(--GradientColor); /*linear-gradient(to top left, var(--PrimaryGemasColor) 40%, var(--PrimaryGemasColor2) 100%);*/
    grid-area: footer;
}

header-mieter-col1 {
    grid-area: header-mieter-col1;
}

header-mieter {
    grid-area: header-mieter;
}

main-content-mieter-col1 {
    grid-area: content-mieter-col1;
}

main-content-mieter-col2 {
    grid-area: content-mieter-col2;
}

main-content-mieter-col3 {
    grid-area: content-mieter-col3;
}

/* container-mieter: 4 columns */
/*
main-content-mieter-col4 {
    grid-area: content-mieter-col4;
}
*/

main-content-mieter {
    grid-area: content-mieter;
}

footer-mieter {
    /*background-color: var(--PrimaryGemasColor);*/
    background: var(--GradientColor); /*linear-gradient(to top left, var(--PrimaryGemasColor) 40%, var(--PrimaryGemasColor2) 100%);*/
    grid-area: footer-mieter;
}


.gemas-logo > img {
  width: 50%;
   overflow:hidden;
   margin-top: 10px; 
   margin-left: 5px;
}

.logout-button {
  display:flex;
  justify-content:center;
  float:right; 
  margin-right: 5px; 
  cursor: pointer;
  font-family: Arial;
  color: var(--TextColor);
}

*, *::before, *::after {
  box-sizing: inherit;
  margin: 0;
  padding: 0;
}

.header-navbar {
  width: 95%;
  padding-left: 30px;
  padding-right: 10px;
  display: flex;
  justify-content: flex-end;
  align-items: center;
}

.header-nav-links {
  list-style: none;
  display: flex;
}

.header-nav-item div, 
.header-nav-item a {
  display: inline-block;
  padding: 10px 15px;
  text-decoration: none;
  font-family: Arial;
  /*color: var(--PrimaryGemasColor);*/
  color: var(--TextColor3);
}

.header-nav-item:hover {
  background-color: var(--PrimaryGemasColor);
}

.header-nav-item:hover div,
.header-nav-item:hover a {
  color: var(--TextColor);
}

table {
  font-family: Arial,Helvetica,sans-serif; 
  font-size: 12px;
} 

td.TabInputStyle {
  background-color: white;
  /*border: 1px solid rgb(0, 0, 0);*/
  border: 1px solid rgb(200, 193, 193);
}  

/* ************ */
/* Table sticky */

table.StickyTab {
  text-align: left;
  position: relative;
}

th.StickyTab, td.StickyTab {
  /*padding: 0.25rem;*/
  padding: 0.45rem;
}

th.StickyTab {
  /*border: 1px solid #0f0f0f;*/
  border: 1px solid rgb(200, 193, 193);
  border-radius: 3px;
  background-color: rgb(225, 225, 225);

  z-index: 99;
  position: sticky;
  top: 0; 
  cursor: pointer;
  box-shadow: 0px 2px 2px -1px rgb(0, 0, 0);
  /*box-shadow: 0 2px 2px -1px rgba(0, 0, 0, 0.4);*/
  background-clip: padding-box;  
}

tr:hover td {
    background-color: #e5f3f9; /*#EED5B1;*/
}
/*tr:hover td, tr.tabrow_selected td {*/
tr.SelectedTabRow td {  
    background-color: #beebff; /*#FFCF8B;*/
}

/* Main section end */
/* **************** */

/* ---------cards ---------- */
.card-main{
  /*max-width: 1200px;*/
  /*margin: 0 auto;*/
  margin-top: 20px;
}

.btn {
  color: var(--TextColor); /*#ffffff;*/
  padding: 0.8rem;
  font-size: 14px;
  text-transform: uppercase;
  border-radius: 4px;
  font-weight: 400;
  display: block;
  width: 90%;
  cursor: pointer;
  border: 1px solid rgba(255, 255, 255, 0.2);
  background: transparent;
}

.btn:hover {
  background-color: rgba(255, 255, 255, 0.12);
}


.cards {
  display: flex;
  flex-wrap: wrap;
  list-style: none;
  margin: 0;
  padding: 0;
}

.cards_item {
  display: flex;
  padding: 1rem;
  list-style: none;
  /* width: 96%; */ /* letzte width */
  width: 89%;
}

/*
@media screen and (min-width: 760px) {  
  .cards_item {
    padding: 1rem;
    list-style: none;
  }
}
*/

/*
@media (min-width: 40rem) {
  .cards_item {
    width: 50%;
  }
}

@media (min-width: 55rem) {
  .cards_item {
    width: 95%;
  }
}
*/

/*
@media (min-width: 759px) {
  .cards_item {
    width: 759px;
  }
}
*/

.card {
  background-color: white;
  border-radius: 0.25rem;
  box-shadow: 0 20px 40px -14px rgba(0, 0, 0, 0.25);
  display: flex;
  flex-direction: column;
  overflow: hidden;
}

.card_content {
  padding: 1rem;
  background: linear-gradient(to bottom left, #EF8D9C 40%, #FFC39E 100%);
}

.card_title {
  color: var(--TextColor); /*#ffffff;*/
  font-size: 1.1rem;
  font-weight: 700;
  letter-spacing: 1px;
  /*text-transform: capitalize;*/
  margin: 0px;
  text-align: center;
  font-family: Arial, sans-serif;*/
}

.card_text {
  color: var(--TextColor); /*#ffffff;*/
  font-size: 0.875rem;
  line-height: 1.5;
  margin-bottom: 1.25rem;    
  font-weight: 400;
}
.made_by{
  font-weight: 400;
  font-size: 13px;
  margin-top: 35px;
  text-align: center;
}

.card_content2 {
  padding: 1rem;
    /*1 background: linear-gradient(to bottom left, #0690c6 40%, #FFC39E 100%);*/
   /*x background: linear-gradient(to bottom left, #0690c6 40%, #91d4ee 100%);*/
   background: linear-gradient(to bottom left, #08aff0 40%, #91d4ee 100%);
   /*3 background: linear-gradient(to bottom left, #c66006 40%, #91d4ee 100%);*/
   /*4 background: linear-gradient(to bottom left, #ac8539 40%, #91d4ee 100%);*/
    /**/
  /*background: linear-gradient(to bottom left, #0690c6 40%, #FFC39E 100%)*/
  height: 60%;
}

.card_content3 {
  padding: 1rem;
  /*background: linear-gradient(to bottom left, #ac8539 40%, #91d4ee 100%);*/
  /*background: linear-gradient(to bottom left, #4256a2 40%, #91d4ee 100%);*/
  /*background: linear-gradient(to bottom left, #08aff0 40%, #91d4ee 100%);*/
  /*background: linear-gradient(to bottom left, #08aff0 40%, #f90606 100%);*/
  /*background: linear-gradient(to bottom left, #f90606 40%, #08aff0 100%);*/
  /*background: linear-gradient(to bottom left, #f95606 40%, #f0cc08 100%);*/
  background: linear-gradient(to bottom left, #f4a680 40%, #f0cc08 100%);
  height: 60%;
}

.card_content4 {
  padding: 1rem;
  /*background: linear-gradient(to bottom left, #c66006 40%, #91d4ee 100%);*/
  /*background: linear-gradient(to bottom left, #c66006 40%, #e17c4a 100%);*/
  /*background: linear-gradient(to bottom left, #c60606 40%, #e17c4a 100%);*/
  /*background: linear-gradient(to bottom left, #c60606 40%, #e14a4a 100%);*/
  background: linear-gradient(to bottom left, #e86969 40%, #fdcaca 100%);
  height: 60%;
}


.card_content22 {
  padding: 1rem;
  /*1  background: linear-gradient(to bottom left, #fbf7f8 40%, #FFC39E 100%);*/
  /*background: linear-gradient(to bottom left, #0690c6 40%, #FFC39E 100%);*/
  height: 70%;
}

.card_border_main {
  border: 2px solid #759fa8;  
}  

.card_btn_border {
  color: #759fa8;
  border: 1px solid #759fa8;  
}  

.card_title_main {
  color: #759fa8;  
}  

.card_title_main_details {
  color: #1a1a95;  
}  

.card_tab {
  border: none; 
  color:#759fa8; 
  width: 100%; 
  font:bold 12px/25px Arial, Helvetica;
}  

.card_tr {
  color:#1a1a95;  
}  





/* ---------tabs ---------- */
.tabs {
  display: flex;
  flex-wrap: wrap;
  width: 100%;
}

.tabs label {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 1rem 2rem;
  margin-right: 0.0625rem;
  margin-bottom:2px;
  cursor: pointer;
  /*background-color: #000;*/
  /*background: linear-gradient(to top left, var(--PrimaryGemasColor) 40%, var(--PrimaryGemasColor2) 100%);*/
  background: var(--PrimaryGemasColor);
  color: var(--TextColor); /*#fff;*/
  font-family: Roboto, sans-serif;
  font-size: 1rem; /*1.2rem;*/
  font-weight: 50; /* 700*/
  transition: background-color ease 0.3s;
}

.login-radios {
  display: flex;
  flex-wrap: wrap;
  width: 100%;
  align-items: center;
  justify-content: center;
}

.login-radios label {
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-left:3px;
  margin-top:3px;
  margin-bottom:1px;
  padding: 0.5rem 1rem;
  /*margin-right: 0.0625rem;*/
  border-radius: 5px;
  cursor: pointer;
  /*background-color: #000;*/
  /*background: linear-gradient(to top left, var(--PrimaryGemasColor) 40%, var(--PrimaryGemasColor2) 100%);*/
  background: var(--PrimaryGemasColor);
  color: var(--TextColor); /*#fff;*/
  font-family: Arial, sans-serif;*/
  /*font-size: 1rem; *//*1.2rem;*/
  /*font-weight: 50; *//* 700*/
  transition: background-color ease 0.3s;
}

.login-radios [type=radio] {
  display: none;
}

.login-radios [type=radio]:checked + label {
  /*background-color: #fff;*/
  background: var(--GradientColor); /*linear-gradient(to top left, var(--PrimaryGemasColor) 40%, var(--PrimaryGemasColor2) 100%);*/
  color: var(--TextColor); /*red;*/ /*#0067b8;*/
  border-top: 4px solid red; /*#0067b8;*/
  box-shadow: 0 10px 10px rgba(0, 0, 0, 0.4);
}

/*.login-radios [type=radio]:checked + label + .tab {
  display: block;
}
*/
/*
.tabs label .material-icons {
  margin-right: 0.3rem;
}
*/
/*.tabs .tab {
  flex-grow: 1;
  width: 100%;
  height: 100%;
  display: none;
  padding: 1rem 2rem;
  color: #000;
  background-color: #fff;
  box-shadow: 0 10px 10px rgba(0, 0, 0, 0.4);
}

.tabs .tab > *:not(:last-child) {
  margin-bottom: 0.8rem;
}
*/
.tabs [type=radio] {
  display: none;
}

.tabs [type=radio]:checked + label {
  /*background-color: #fff;*/
  background: var(--GradientColor); /*linear-gradient(to top left, var(--PrimaryGemasColor) 40%, var(--PrimaryGemasColor2) 100%);*/
  color: var(--TextColor); /*red;*/ /*#0067b8;*/
  border-top: 4px solid red; /*#0067b8;*/
  box-shadow: 0 10px 10px rgba(0, 0, 0, 0.4);
}

/*.tabs [type=radio]:checked + label + .tab {
  display: block;
}*/
@media (min-width: 768px) { 


/*  body {
    font-size: 1.125rem;
  }
*/
  .tabs label {
    order: 1;
    width: auto;
  }

  /*.tabs .tab {
    order: 9;
  }
*/
  .tabs [type=radio]:checked + label {
    border-bottom: none;
  }

  .login-radios label {
    order: 1;
    width: auto;
  }

}
@media (min-width: 992px) {

  .tabs {
    width: auto;
   /*width: 800px;*/
  }

/*  .login-tabs {
    width: 300px;
  }*/
}

/* ---------tabs end---------- */


.FontArial
{
  font-family: Arial; 
}  

.FontArial12
{
  font-family: Arial; 
  font-size: 12px; 
}  

.FontArial12H480Over
{
  font-family: Arial; 
  font-size: 12px; 
  height: 480px;
  overflow-y: scroll;
}  

.FontArialRed
{
  font-family: Arial; 
  color: #ff0000;
}  

.FontArialRedMargin10
{
  font-family: Arial; 
  color: #ff0000;
  margin: 10px;
}  

.CursorPointer
{
  cursor: pointer;
}

.CursorPointerMarginLeft
{
  margin-left: 20px; 
  cursor: pointer;
}
